wxRuby Documentation Home

# Wx::InitDialogEvent

A InitDialogEvent is sent as a dialog or panel is being initialised.
Handlers for this event can transfer data to the window.
The default handler calls Window#transfer_data_to_window.

## Derived from

Event

Object

## Event table macros

To process an activate event, use these event handler macros to direct input to a member
function that takes a InitDialogEvent argument.

evt_init_dialog() { | event | … } | Process a EVT_INIT_DIALOG event.

## See also

Event handling overview

## Methods

- InitDialogEvent.new

### InitDialogEvent.new

InitDialogEvent.new(%(arg-type)Integer% id = 0)

Constructor.

[This page automatically generated from the Textile source at 2023-06-09 00:45:26 +0000]